Bug 849800

Summary: [abrt] gnome-terminal-3.4.1.1-1.fc17: g_object_notify: Process /usr/bin/gnome-terminal was killed by signal 11 (SIGSEGV)
Product: [Fedora] Fedora Reporter: Sean Stangl <sean.stangl>
Component: gnome-terminalAssignee: Matthias Clasen <mclasen>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 17CC: mclasen
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:475decc126246bef2a8326385f06aea490ddf7e6
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-08-01 00:17:40 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
File: backtrace
none
File: smolt_data
none
File: maps none

Description Sean Stangl 2012-08-20 18:28:50 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        gnome-terminal
comment:        Long-running gnome-terminal session (many weeks). Executed a `vim -t Foo` command. It paused for a few seconds, then died.
crash_function: g_object_notify
executable:     /usr/bin/gnome-terminal
kernel:         3.4.4-5.fc17.x86_64
pid:            1456
pwd:            /home/sstangl
remote_result:  766501
time:           Mon 20 Aug 2012 03:19:02 PM PDT
uid:            1000
username:       sstangl

backtrace:      Text file, 30845 bytes
maps:           Text file, 51819 bytes
smolt_data:     Text file, 4718 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/sstangl/2

core_backtrace:
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x157a6 g_object_notify libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x206d8 - libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:0008a6c4028b3826f8905324c770e7aa450e5d3b 0x9a9da gtk_adjustment_value_changed libgtk-3.so.0 -
:b248bbedbf6ef1cc89fe0853a14b5637b88a728c 0x3f316 - libvte2_90.so.9 -
:b248bbedbf6ef1cc89fe0853a14b5637b88a728c 0x3fae1 - libvte2_90.so.9 -
:b248bbedbf6ef1cc89fe0853a14b5637b88a728c 0x2aeca - libvte2_90.so.9 -
:b248bbedbf6ef1cc89fe0853a14b5637b88a728c 0x2b748 - libvte2_90.so.9 -
:b248bbedbf6ef1cc89fe0853a14b5637b88a728c 0x30ecf - libvte2_90.so.9 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x4822b - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47695 g_main_context_dispatch libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x479c8 - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47dc2 g_main_loop_run libglib-2.0.so.0 -
:0008a6c4028b3826f8905324c770e7aa450e5d3b 0x179f75 gtk_main libgtk-3.so.0 -
:986068be78827a73bf98ef4d4f23cc915f298fd6 0x136c3 - [exe] -
:f69712fe393313f44607679e934bf5a67f39ec50 0x21735 build_trtable libc.so.6 -

dso_list:
:/usr/share/icons/hicolor/icon-theme.cache hicolor-icon-theme-0.12-4.fc17.noarch (Fedora Project) 1337719220
:/usr/share/locale/en/LC_MESSAGES/gtk30-properties.mo gtk3-devel-3.4.4-1.fc17.x86_64 (Fedora Project) 1343068292
:/usr/lib64/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so librsvg2-2.36.1-1.fc17.x86_64 (Fedora Project) 1337719258
:/usr/lib64/pango/1.6.0/modules/pango-arabic-lang.so pango-1.30.0-1.fc17.x86_64 (Fedora Project) 1337719249
:/usr/share/themes/Adwaita/gtk-3.0/gtk.gresource adwaita-gtk3-theme-3.4.2-1.fc17.x86_64 (Fedora Project) 1338834275
:/usr/lib64/libthai.so.0.1.6 libthai-0.1.14-5.fc17.x86_64 (Fedora Project) 1337719234
:/usr/lib64/pango/1.6.0/modules/pango-thai-lang.so pango-1.30.0-1.fc17.x86_64 (Fedora Project) 1337719249
:/usr/lib64/gtk-3.0/modules/libcanberra-gtk3-module.so libcanberra-gtk3-0.28-6.fc17.x86_64 (Fedora Project) 1337719258
:/usr/lib64/pango/1.6.0/modules/pango-tibetan-fc.so pango-1.30.0-1.fc17.x86_64 (Fedora Project) 1337719249
:/usr/share/fonts/lohit-kannada/Lohit-Kannada.ttf lohit-kannada-fonts-2.5.1-1.fc17.noarch (Fedora Project) 1337719343
:/usr/lib64/pango/1.6.0/modules/pango-hangul-fc.so pango-1.30.0-1.fc17.x86_64 (Fedora Project) 1337719249
:/usr/share/fonts/abattis-cantarell/Cantarell-Regular.otf abattis-cantarell-fonts-0.0.8-1.fc17.noarch (Fedora Project) 1337719216
:/usr/lib64/pango/1.6.0/modules/pango-syriac-fc.so pango-1.30.0-1.fc17.x86_64 (Fedora Project) 1337719249
:/usr/lib64/pango/1.6.0/modules/pango-thai-fc.so pango-1.30.0-1.fc17.x86_64 (Fedora Project) 1337719249
:/usr/share/fonts/dejavu/DejaVuSansMono.ttf dejavu-sans-mono-fonts-2.33-3.fc17.noarch (Fedora Project) 1337719372
:/usr/lib64/pango/1.6.0/modules/pango-hebrew-fc.so pango-1.30.0-1.fc17.x86_64 (Fedora Project) 1337719249
:/usr/lib64/gio/modules/libdconfsettings.so dconf-0.12.1-1.fc17.x86_64 (Fedora Project) 1338834245
:/usr/share/fonts/thai-scalable/Waree.ttf thai-scalable-waree-fonts-0.5.0-1.fc17.noarch (Fedora Project) 1337719365
:/usr/share/fonts/vlgothic/VL-Gothic-Regular.ttf vlgothic-fonts-20120629-1.fc17.noarch (Fedora Project) 1342212270
:/usr/lib64/gtk-3.0/3.0.0/theming-engines/libadwaita.so adwaita-gtk3-theme-3.4.2-1.fc17.x86_64 (Fedora Project) 1338834275
:/usr/lib64/pango/1.6.0/modules/pango-khmer-fc.so pango-1.30.0-1.fc17.x86_64 (Fedora Project) 1337719249
:/usr/lib64/gtk-3.0/modules/libpk-gtk-module.so PackageKit-gtk3-module-0.7.5-1.fc17.x86_64 (Fedora Project) 1341601034
:/usr/share/fonts/paratype-pt-sans/PTS55F.ttf paratype-pt-sans-fonts-20100408-3.fc17.noarch (Fedora Project) 1337719352
:/usr/lib64/pango/1.6.0/modules/pango-arabic-fc.so pango-1.30.0-1.fc17.x86_64 (Fedora Project) 1337719249
:/usr/share/mime/mime.cache shared-mime-info-1.0-4.fc17.x86_64 (Fedora Project) 1339438956
:/usr/lib64/gio/modules/libgvfsdbus.so gvfs-1.12.3-1.fc17.x86_64 (Fedora Project) 1337719247
:/usr/share/fonts/dejavu/DejaVuSansMono-Bold.ttf dejavu-sans-mono-fonts-2.33-3.fc17.noarch (Fedora Project) 1337719372
:/usr/share/locale/en/LC_MESSAGES/gtk30.mo gtk3-3.4.4-1.fc17.x86_64 (Fedora Project) 1343068255
:/usr/lib64/pango/1.6.0/modules/pango-indic-fc.so pango-1.30.0-1.fc17.x86_64 (Fedora Project) 1337719249
:/usr/share/fonts/dejavu/DejaVuSans.ttf dejavu-sans-fonts-2.33-3.fc17.noarch (Fedora Project) 1337719357
:/usr/share/fonts/abattis-cantarell/Cantarell-Bold.otf abattis-cantarell-fonts-0.0.8-1.fc17.noarch (Fedora Project) 1337719216
:/usr/share/fonts/paktype-naqsh/PakType_Naqsh.ttf paktype-naqsh-fonts-3.0-6.fc17.noarch (Fedora Project) 1337719364
:/usr/lib64/pango/1.6.0/modules/pango-indic-lang.so pango-1.30.0-1.fc17.x86_64 (Fedora Project) 1337719249

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/sstangl/keyring-0LLu5E
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=sstangl
:USERNAME=sstangl
:MAIL=/var/spool/mail/sstangl
:PATH=/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/sstangl/.local/bin:/home/sstangl/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/sstangl
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1025
:LANG=en_US.UTF-8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/sstangl
:SHLVL=1
:LOGNAME=sstangl
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-wUvqgnSxrK,guid=fa8fd2c63d31a73ab15cb63300000032
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/sstangl
:DISPLAY=:0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-sstangl-DiRwao/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1029,unix/unix:/tmp/.ICE-unix/1029
:SSH_AUTH_SOCK=/run/user/sstangl/keyring-0LLu5E/ssh
:GPG_AGENT_INFO=/run/user/sstangl/keyring-0LLu5E/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gnome-terminal.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=1456
:DESKTOP_STARTUP_ID=gnome-shell-1258-mozdesk-gnome-terminal-0_TIME65638

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 63682                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       63682                63682                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/sstangl/.xsession-errors
:pos:	679656
:flags:	0102002
:2:/home/sstangl/.xsession-errors
:pos:	679656
:flags:	0102002
:3:socket:[22926]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[22927]
:pos:	0
:flags:	02004002
:6:socket:[22928]
:pos:	0
:flags:	02000002
:7:socket:[22929]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:socket:[24379]
:pos:	0
:flags:	02004002
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:/dev/ptmx
:pos:	0
:flags:	0104002
:13:/dev/pts/0
:pos:	0
:flags:	0100002
:14:socket:[20331]
:pos:	0
:flags:	02
:15:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:16:/dev/ptmx
:pos:	0
:flags:	0104002
:17:/tmp/vteEM3DHW (deleted)
:pos:	0
:flags:	0100002
:18:/tmp/vteG30DHW (deleted)
:pos:	107
:flags:	0100002
:19:/tmp/vte8X0DHW (deleted)
:pos:	16
:flags:	0100002
:20:/tmp/vteNRH2IW (deleted)
:pos:	42275
:flags:	0100002
:21:/dev/pts/1
:pos:	0
:flags:	0100002
:22:/tmp/vte2EI2IW (deleted)
:pos:	8192
:flags:	0100002
:23:socket:[171565]
:pos:	0
:flags:	02004002
:24:/dev/ptmx
:pos:	0
:flags:	0104002
:25:/dev/pts/2
:pos:	0
:flags:	0100002
:26:/tmp/vteV3A0IW (deleted)
:pos:	0
:flags:	0100002
:27:/dev/ptmx
:pos:	0
:flags:	0104002
:28:/dev/pts/3
:pos:	0
:flags:	0100002
:29:/dev/ptmx
:pos:	0
:flags:	0104002
:30:/dev/ptmx
:pos:	0
:flags:	0104002
:31:/tmp/vte8UIKJW (deleted)
:pos:	12770
:flags:	0100002
:32:/tmp/vteG4IKJW (deleted)
:pos:	2240
:flags:	0100002
:33:/tmp/vteE3GMJW (deleted)
:pos:	0
:flags:	0100002
:34:/tmp/vteSKSAJW (deleted)
:pos:	44552
:flags:	0100002
:35:/tmp/vte1MSAJW (deleted)
:pos:	8192
:flags:	0100002
:36:/tmp/vteIPRAIW (deleted)
:pos:	3589
:flags:	0100002
:37:/tmp/vteEZSAJW (deleted)
:pos:	32
:flags:	0100002
:38:/tmp/vteXIEQIW (deleted)
:pos:	1664
:flags:	0100002
:39:/tmp/vte6DSMJW (deleted)
:pos:	2780
:flags:	0100002
:40:/dev/pts/4
:pos:	0
:flags:	0100002
:41:/tmp/vteM4RMJW (deleted)
:pos:	480
:flags:	0100002
:42:/tmp/vteXKCUIW (deleted)
:pos:	3040
:flags:	0100002
:43:/tmp/vteZVRAIW (deleted)
:pos:	1648
:flags:	0100002
:44:/dev/ptmx
:pos:	0
:flags:	0104002
:45:/tmp/vteSZRMJW (deleted)
:pos:	640
:flags:	0100002
:46:/tmp/vteM50QJW (deleted)
:pos:	428
:flags:	0100002
:47:/tmp/vte600QJW (deleted)
:pos:	64
:flags:	0100002
:48:/tmp/vteQEO5IW (deleted)
:pos:	22215
:flags:	0100002
:49:/dev/ptmx
:pos:	0
:flags:	0104002
:50:/tmp/vte3JO5IW (deleted)
:pos:	7280
:flags:	0100002
:51:/tmp/vte27N5IW (deleted)
:pos:	0
:flags:	0100002
:52:/tmp/vteE472IW (deleted)
:pos:	14753
:flags:	0100002
:53:/tmp/vteI6M7IW (deleted)
:pos:	6741
:flags:	0100002
:54:/tmp/vteAID2IW (deleted)
:pos:	8192
:flags:	0100002
:55:/dev/pts/5
:pos:	0
:flags:	0100002
:56:/tmp/vte0HN7IW (deleted)
:pos:	1024
:flags:	0100002
:57:/tmp/vteB937IW (deleted)
:pos:	12183
:flags:	0100002
:58:/tmp/vteJH47IW (deleted)
:pos:	2880
:flags:	0100002
:59:/tmp/vteZCY4IW (deleted)
:pos:	21723
:flags:	0100002
:60:/tmp/vte5VY4IW (deleted)
:pos:	6208
:flags:	0100002
:61:/tmp/vteM237IW (deleted)
:pos:	3392
:flags:	0100002
:62:/tmp/vteNTNZIW (deleted)
:pos:	0
:flags:	0100002
:63:/dev/pts/6
:pos:	0
:flags:	0100002
:64:/dev/pts/7
:pos:	0
:flags:	0100002

var_log_messages:
:Aug 20 15:19:02 mozdesk kernel: [2432626.083711] gnome-terminal[1456]: segfault at 1 ip 00007fb7a05337a6 sp 00007fff34925800 error 4 in libgobject-2.0.so.0.3200.4.#prelink#.dPfDcI (deleted)[7fb7a051e000+4b000]
:Aug 20 15:19:02 mozdesk abrt[4515]: File '/usr/bin/gnome-terminal' seems to be deleted
:Aug 20 15:19:05 mozdesk abrt[4515]: Saved core dump of pid 1456 (/usr/bin/gnome-terminal) to /var/spool/abrt/ccpp-2012-08-20-15:19:02-1456 (72847360 bytes)
Comment 1 Sean Stangl 2012-08-20 18:28:55 EDT
Created attachment 605793 [details]
File: backtrace
Comment 2 Sean Stangl 2012-08-20 18:28:56 EDT
Created attachment 605794 [details]
File: smolt_data
Comment 3 Sean Stangl 2012-08-20 18:28:58 EDT
Created attachment 605795 [details]
File: maps
Comment 4 Fedora End Of Life 2013-07-03 20:30:37 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 00:17:43 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.